summaryrefslogtreecommitdiffstats
path: root/source/l/pipewire
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pipewire')
-rw-r--r--source/l/pipewire/193384b26aba3917d086ac3f009aa2cab9d197d2.patch26
-rwxr-xr-xsource/l/pipewire/pipewire.SlackBuild4
2 files changed, 29 insertions, 1 deletions
diff --git a/source/l/pipewire/193384b26aba3917d086ac3f009aa2cab9d197d2.patch b/source/l/pipewire/193384b26aba3917d086ac3f009aa2cab9d197d2.patch
new file mode 100644
index 000000000..cff767889
--- /dev/null
+++ b/source/l/pipewire/193384b26aba3917d086ac3f009aa2cab9d197d2.patch
@@ -0,0 +1,26 @@
+From 193384b26aba3917d086ac3f009aa2cab9d197d2 Mon Sep 17 00:00:00 2001
+From: "Tom A. Wagner" <tom.a.wagner@protonmail.com>
+Date: Mon, 24 Jul 2023 12:48:33 +0200
+Subject: [PATCH] pipewire: add missing stdbool.h include to version.h.in
+
+The header file only works when included in a file where stdbool.h was already included otherwise.
+---
+ src/pipewire/version.h.in | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/pipewire/version.h.in b/src/pipewire/version.h.in
+index 87fc0cfad..94c645b3a 100644
+--- a/src/pipewire/version.h.in
++++ b/src/pipewire/version.h.in
+@@ -11,6 +11,8 @@
+ extern "C" {
+ #endif
+
++#include <stdbool.h>
++
+ /** Return the version of the header files. Keep in mind that this is
+ a macro and not a function, so it is impossible to get the pointer of
+ it. */
+--
+GitLab
+
diff --git a/source/l/pipewire/pipewire.SlackBuild b/source/l/pipewire/pipewire.SlackBuild
index 08762cdb5..5f60da985 100755
--- a/source/l/pipewire/pipewire.SlackBuild
+++ b/source/l/pipewire/pipewire.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pipewire
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -92,6 +92,8 @@ find . \
# Add lua (with pipewire patches):
( cd subprojects ; tar xf $CWD/lua-5.4.4.tar.lz )
+cat $CWD/193384b26aba3917d086ac3f009aa2cab9d197d2.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"